Back to Platform

PATCH /companies/{id}

PATCH
/companies/{id}

PATCH operation for /companies/{id}

Authorization

ApiKeyAuth
Authorization<token>

API key authentication. Format: Your API key (no "Token" prefix needed)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://dev-rest.onboard.io/companies/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "website": "string",    "uuid": "string",    "icon": "binary-file-placeholder",    "icon_delete": true,    "icon_base64": {},    "external_id": "string",    "sf_account_id": "string",    "hubspot_company_id": 1,    "custom": "string"  }'
{
  "id": 1,
  "name": "string",
  "website": "string",
  "uuid": "string",
  "avatar": "string",
  "logos": "string",
  "icon": "binary-file-placeholder",
  "icon_delete": true,
  "icon_base64": {},
  "created_at": "2021-01-01T00:00:00Z",
  "modified_at": "2021-01-01T00:00:00Z",
  "created_by": "string",
  "external_id": "string",
  "sf_account_id": "string",
  "hubspot_company_id": 1,
  "custom": "string"
}
Empty
Empty
Empty

How is this guide?